org.richfaces.fragment.contextMenu

## Interface PopupMenu

- All Superinterfaces:
    PopupMenuGroup
  All Known Implementing Classes:
    AbstractPopupMenu, RichFacesContextMenu, RichFacesDropDownMenu

      public interface PopupMenu
      extends PopupMenuGroup

  Author:
    Jiri Stefek

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PopupMenuGroup` | `expandGroup(ChoicePicker picker, org.openqa.selenium.WebElement target)` Expands group from this menu, which satisfies the rules given in `picker` param.
    `PopupMenuGroup` | `expandGroup(int index, org.openqa.selenium.WebElement target)` Expands group from this menu, which index equals the given `index` param.
    `PopupMenuGroup` | `expandGroup(String header, org.openqa.selenium.WebElement target)` Expands group from this menu, which text representation matches the given `header` param.
    `void` | `selectItem(ChoicePicker picker, org.openqa.selenium.WebElement target)` Selects the menu item from this menu or sub menu according to the rules defined in the `picker` param.
    `void` | `selectItem(int index, org.openqa.selenium.WebElement target)` Selects the menu item from this menu according to its index in the list of all menu items.
    `void` | `selectItem(String header, org.openqa.selenium.WebElement target)` Selects the menu item from this menu according to the exact match of its text representation with passed `header` param.

    - ### Methods inherited from interface org.richfaces.fragment.contextMenu.PopupMenuGroup

      `expandGroup, expandGroup, expandGroup, selectItem, selectItem, selectItem`

- - ### Method Detail

    - #### selectItem

          void selectItem(ChoicePicker picker,
                          org.openqa.selenium.WebElement target)

      Selects the menu item from this menu or sub menu according to the rules defined in the `picker` param. Opens menu, if it is not visible.
      Parameters:
        `picker` - for defining the rules by which the item will be selected
        `target` - for defining the popup menu which will be invoked and from which the item will be selected
      Throws:
        `IllegalArgumentException` - if there is no such element which satisfies the rules given by `picker`

    - #### selectItem

          void selectItem(String header,
                          org.openqa.selenium.WebElement target)

      Selects the menu item from this menu according to the exact match of its text representation with passed `header` param. Opens menu, if it is not visible.
      Parameters:
        `header` - text representation of the menu item to be selected
        `target` - for defining the popup menu which will be invoked and from which the item will be selected
      Throws:
        `IllegalArgumentException` - if there is no such element with text representation matching the given `header`

    - #### selectItem

          void selectItem(int index,
                          org.openqa.selenium.WebElement target)

      Selects the menu item from this menu according to its index in the list of all menu items. Opens menu, if it is not visible. Items are indexed from 0. A top menu item (the one which is the closest to the root of the popup menu component) has index 0.
      Parameters:
        `index` - zero based index of the item to be selected
        `target` - for defining the popup menu which will be invoked and from which the item will be selected
      Throws:
        `IllegalArgumentException` - if there is no such element with index `index`

    - #### expandGroup

          PopupMenuGroup expandGroup(ChoicePicker picker,
                                     org.openqa.selenium.WebElement target)

      Expands group from this menu, which satisfies the rules given in `picker` param. Opens menu, if it is not visible.
      Parameters:
        `picker` - object to define which group should be expanded
        `target` - for defining the popup menu which will be invoked and from which the item will be selected
      Returns:
        the group which was expanded
      Throws:
        `IllegalArgumentException` - if there is no such element which satisfies the rules given by `picker`

    - #### expandGroup

          PopupMenuGroup expandGroup(String header,
                                     org.openqa.selenium.WebElement target)

      Expands group from this menu, which text representation matches the given `header` param. Opens menu, if it is not visible.
      Parameters:
        `header` - the header of the group which should be expanded
        `target` - for defining the popup menu which will be invoked and from which the item will be selected
      Returns:
        the group which was expanded
      Throws:
        `IllegalArgumentException` - if there is no such element with text representation matching the given `header`

    - #### expandGroup

          PopupMenuGroup expandGroup(int index,
                                     org.openqa.selenium.WebElement target)

      Expands group from this menu, which index equals the given `index` param. Opens menu, if it is not visible.
      Parameters:
        `index` - zero based index of the group to expand
        `target` - for defining the popup menu which will be invoked and from which the item will be selected
      Returns:
        the group which was expanded
      Throws:
        `IllegalArgumentException` - if there is no such element with index `index`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.